Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Acceptor Class Reference

The SSLIOP-specific bridge class for the concrete acceptor. More...

`#include <SSLIOP_Acceptor.h>`

Inheritance diagram for TAO_SSLIOP_Acceptor:

[legend]
Collaboration diagram for TAO_SSLIOP_Acceptor:

[legend]
List of all members.

## Public Types
typedef ACE_Strategy_Acceptor< TAO_SSLIOP_Connection_Handler, ACE_SSL_SOCK_ACCEPTOR > | TAO_SSLIOP_BASE_ACCEPTOR
typedef TAO_Creation_Strategy< TAO_SSLIOP_Connection_Handler > | TAO_SSLIOP_CREATION_STRATEGY
typedef TAO_Concurrency_Strategy< TAO_SSLIOP_Connection_Handler > | TAO_SSLIOP_CONCURRENCY_STRATEGY
typedef TAO_SSLIOP_Accept_Strategy | TAO_SSLIOP_ACCEPT_STRATEGY
## Public Methods
| TAO_SSLIOP_Acceptor (Security::QOP qop, const ACE_Time_Value &timeout)
| Constructor. More...
| ~TAO_SSLIOP_Acceptor (void)
| Destructor. More...
const SSLIOP::SSL & | ssl_component (void) const
| Retrieve the SSLIOP::SSL component associated with the endpoints set up by this acceptor. More...
The TAO_Acceptor Methods
Check the documentation in tao/Pluggable.h for details.
virtual int | open (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *address, const char *options=0)
virtual int | open_default (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *options=0)
virtual int | close (void)
virtual int | create_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
virtual int | is_collocated (const TAO_Endpoint *endpoint)
## Private Methods
int | ssliop_open_i (TAO_ORB_Core *orb_core, const ACE_INET_Addr &addr, ACE_Reactor *reactor)
| Implement the common part of the open*() methods. More...
int | parse_options (const char *options)
| Parse protocol specific options. More...
int | verify_secure_configuration (TAO_ORB_Core *orb_core, int major, int minor)
| Ensure that neither the endpoint configuration nor the ORB configuration violate security measures. More...
int | create_new_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
| Helper method to add a new profile to the mprofile for each endpoint. More...
int | create_shared_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
| Helper method to create a profile that contains all of our endpoints. More...
## Private Attributes
TAO_SSLIOP_BASE_ACCEPTOR | ssl_acceptor_
| The concrete acceptor, as a pointer to it's base class. More...
TAO_SSLIOP_CREATION_STRATEGY * | creation_strategy_
TAO_SSLIOP_CONCURRENCY_STRATEGY * | concurrency_strategy_
TAO_SSLIOP_ACCEPT_STRATEGY * | accept_strategy_
SSLIOP::SSL | ssl_component_
| This is the SSLIOP endpoint-specific tagged component that is embedded in a given IOR. More...
TAO_SSLIOP_Connection_Handler_State | handler_state_
| State that will be passed to each SSLIOP connection handler upon creation. More...
const ACE_Time_Value | timeout_
| This timeout includes the overall time to complete the SSL handshake. More...

## Detailed Description

The SSLIOP-specific bridge class for the concrete acceptor.

## Member Typedef Documentation

typedef TAO_SSLIOP_Accept_Strategy TAO_SSLIOP_Acceptor::TAO_SSLIOP_ACCEPT_STRATEGY

typedef ACE_Strategy_Acceptor<TAO_SSLIOP_Connection_Handler, ACE_SSL_SOCK_ACCEPTOR> TAO_SSLIOP_Acceptor::TAO_SSLIOP_BASE_ACCEPTOR

typedef TAO_Concurrency_Strategy<TAO_SSLIOP_Connection_Handler> TAO_SSLIOP_Acceptor::TAO_SSLIOP_CONCURRENCY_STRATEGY

typedef TAO_Creation_Strategy<TAO_SSLIOP_Connection_Handler> TAO_SSLIOP_Acceptor::TAO_SSLIOP_CREATION_STRATEGY

## Constructor & Destructor Documentation

TAO_SSLIOP_Acceptor::TAO_SSLIOP_Acceptor | ( | Security::QOP | qop,
|  | const ACE_Time_Value & | timeout
| ) |

| Constructor.

TAO_SSLIOP_Acceptor::~TAO_SSLIOP_Acceptor | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_SSLIOP_Acceptor::close | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_IIOP_SSL_Acceptor.

int TAO_SSLIOP_Acceptor::create_new_profile | ( | const TAO_ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority
| ) | `[private]`

| Helper method to add a new profile to the mprofile for each endpoint. Reimplemented from TAO_IIOP_Acceptor.

int TAO_SSLIOP_Acceptor::create_profile | ( | const TAO_ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority
| ) | `[virtual]`

| Reimplemented from TAO_IIOP_Acceptor.

int TAO_SSLIOP_Acceptor::create_shared_profile | ( | const TAO_ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority
| ) | `[private]`

| Helper method to create a profile that contains all of our endpoints. Reimplemented from TAO_IIOP_Acceptor.

int TAO_SSLIOP_Acceptor::is_collocated | ( | const TAO_Endpoint * | endpoint | ) | `[virtual]`

| Reimplemented from TAO_IIOP_Acceptor.

int TAO_SSLIOP_Acceptor::open | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | major,
|  | int | minor,
|  | const char * | address,
|  | const char * | options = 0
| ) | `[virtual]`

| Reimplemented from TAO_IIOP_Acceptor.

int TAO_SSLIOP_Acceptor::open_default | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | major,
|  | int | minor,
|  | const char * | options = 0
| ) | `[virtual]`

| Reimplemented from TAO_IIOP_Acceptor.

int TAO_SSLIOP_Acceptor::parse_options | ( | const char * | str | ) | `[private, virtual]`

| Parse protocol specific options. Reimplemented from TAO_IIOP_Acceptor.

ACE_INLINE const SSLIOP::SSL & TAO_SSLIOP_Acceptor::ssl_component | ( | void |  | ) | const

| Retrieve the SSLIOP::SSL component associated with the endpoints set up by this acceptor.

int TAO_SSLIOP_Acceptor::ssliop_open_i | ( | TAO_ORB_Core * | orb_core,
|  | const ACE_INET_Addr & | addr,
|  | ACE_Reactor * | reactor
| ) | `[private]`

| Implement the common part of the open*() methods.

int TAO_SSLIOP_Acceptor::verify_secure_configuration | ( | TAO_ORB_Core * | orb_core,
|  | int | major,
|  | int | minor
| ) | `[private]`

| Ensure that neither the endpoint configuration nor the ORB configuration violate security measures.

## Member Data Documentation

TAO_SSLIOP_ACCEPT_STRATEGY* TAO_SSLIOP_Acceptor::accept_strategy_`[private]`

| Reimplemented from TAO_IIOP_SSL_Acceptor.

TAO_SSLIOP_CONCURRENCY_STRATEGY* TAO_SSLIOP_Acceptor::concurrency_strategy_`[private]`

| Reimplemented from TAO_IIOP_SSL_Acceptor.

TAO_SSLIOP_CREATION_STRATEGY* TAO_SSLIOP_Acceptor::creation_strategy_`[private]`

| Reimplemented from TAO_IIOP_SSL_Acceptor.

TAO_SSLIOP_Connection_Handler_State TAO_SSLIOP_Acceptor::handler_state_`[private]`

| State that will be passed to each SSLIOP connection handler upon creation. Reimplemented from TAO_IIOP_SSL_Acceptor.

TAO_SSLIOP_BASE_ACCEPTOR TAO_SSLIOP_Acceptor::ssl_acceptor_`[private]`

| The concrete acceptor, as a pointer to it's base class.

SSLIOP::SSL TAO_SSLIOP_Acceptor::ssl_component_`[private]`

| This is the SSLIOP endpoint-specific tagged component that is embedded in a given IOR.

const ACE_Time_Value TAO_SSLIOP_Acceptor::timeout_`[private]`

| This timeout includes the overall time to complete the SSL handshake. This includes both the TCP handshake and the SSL handshake.

The documentation for this class was generated from the following files:

- SSLIOP_Acceptor.h
- SSLIOP_Acceptor.cpp
- SSLIOP_Acceptor.i